package {
    import flash.display.Sprite;
    import flash.events.NetStatusEvent;
    import flash.media.Video;
    import flash.net.NetConnection;
    import flash.net.NetStream;

    public class FLVPlayerSample extends Sprite {
        
        private var conn:NetConnection;
        private var flvUrl:String = 'fighting.flv';
        
        public function FLVPlayerSample() {
            conn = new NetConnection();
            conn.addEventListener(NetStatusEvent.NET_STATUS, netStatusHandler);
            conn.connect(null);
        }
        
        private function netStatusHandler(event:NetStatusEvent):void {
            switch(event.info.code) {
                case "NetConnection.Connect.Success":
                    playVideo();
                    break;
                case "NetStream.Play.StreamNotFound":
                    trace('FLVファイルが見つかりませんでした。');
                    break;
            }
        }
        
        private function playVideo():void {
            var ns:NetStream = new NetStream(conn);
            ns.client = {
                onMetaData : function(info:Object):void {
                    // ignore
                }
            }
            var video:Video = new Video();
            video.attachNetStream(ns);
            ns.play(flvUrl);
            this.addChild(video);
        }
    }
}